Advance Orders

Modify OCO Order

PUT
/api/oms/modify-order/oco

Modify one-cancels-the-other order

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Request Body

application/x-www-form-urlencoded

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/oms/modify-order/oco" \  -H "Authorization: Bearer <api Key>:<access token>" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'orderId=22052700000013&symId=EQT_RELIANCE_EQ_NSE&side=buy&stopLossType=limit&stopLossProduct=delivery&stopQty=5&targetType=limit&targetProduct=delivery&targetQty=5'
{
  "s": "ok",
  "d": {
    "msg": "OCO Order Modified Successfully",
    "orderId": "210115000000003"
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}